<?php
session_start();

$cliente=$_SESSION['cliente'];
$perfil=$_SESSION['perfil'];
$rut=$_SESSION['rut'];
		
		include 'conexion/conn.php';
		$primera_caja_lote=$_GET['primera_caja_lote'];
		$rs = mysql_query("SELECT * FROM cal_cajas where primera_caja_lote='$primera_caja_lote'");

           if($row = mysql_fetch_array($rs)){
            $pi_folio=$row['pi_folio'];
            $norma_id=$row['norma_id'];
            $productor_id=$row['productor_id'];
            $variedad_id=$row['variedad_id'];
            $n_proceso=$row['n_proceso'];
            $embalaje_cod=$row['embalaje_cod'];
            $calibre_id=$row['calibre_id'];
            $resultado_lote=$row['resultado_lote'];
          }



          $rs = mysql_query("SELECT * FROM cal_planilla_inspeccion where pi_folio='$pi_folio'");

           if($row = mysql_fetch_array($rs)){
            $pi_fecha_inspeccion=$row['pi_fecha_inspeccion'];
            $pi_inspector=$row['pi_inspector'];
            $packing_id=$row['pi_packing_id'];
            $pi_especie_id=$row['pi_especie_id'];
            $pi_exportador_cod=$row['pi_exportador_cod'];
          }
          
          $rs = mysql_query("SELECT * FROM cal_exportadoras where exportador_cod='$pi_exportador_cod'");

           if($row = mysql_fetch_array($rs)){
            $exportador_nombre8=$row['exportador_nombre'];
           
          }

          $rs = mysql_query("SELECT * FROM cal_embalaje where embalaje_cod='$embalaje_cod'");

           if($row = mysql_fetch_array($rs)){
            $peso_neto_min=$row['peso_neto_min'];
            $peso_neto_medio=$row['peso_neto_medio'];
            $peso_neto_max=$row['peso_neto_max'];
          }
          

          $rs = mysql_query("SELECT * FROM `cal_planilla_especie` where especie_id='$pi_especie_id' AND tipo_planilla='CALIDAD'");

	           if($row = mysql_fetch_array($rs)){
	            $planilla_id=$row['planilla_id'];    
	            
	          }

          $rs = mysql_query("SELECT * FROM cal_packing where packing_id='$packing_id'");

           if($row = mysql_fetch_array($rs)){
            $packing_nombre=$row['packing_nombre'];
            $zona_id=$row['zona_id'];
          }

          $rs = mysql_query("SELECT * FROM cal_zona where zona_id='$zona_id'");

           if($row = mysql_fetch_array($rs)){
            $zona_nombre=$row['zona_nombre'];
          }

          $rs = mysql_query("SELECT * FROM cal_productores where productor_id='$productor_id'");

           if($row = mysql_fetch_array($rs)){
            $productor_nombre=$row['productor_nombre'];
          }
          $rs = mysql_query("SELECT * FROM cal_variedades where variedad_id='$variedad_id'");

           if($row = mysql_fetch_array($rs)){
           	$variedad_cod=$row['variedad_cod'];
            $variedad_nombre=$row['variedad_nombre'];
          }

          $rs = mysql_query("SELECT * FROM cal_calibre where calibre_id='$calibre_id'");

           if($row = mysql_fetch_array($rs)){
            $calibre_nombre=$row['calibre_nombre'];
          }

          $rs = mysql_query("SELECT * FROM sys_usuario where usuario_rut='$pi_inspector'");

           if($row = mysql_fetch_array($rs)){
            $nombre_inspector=$row['usuario_nombre']." ".$row['usuario_apepaterno'];
          }
          
          $rs = mysql_query("SELECT * FROM cal_especies where especie_id='$pi_especie_id'");

           if($row = mysql_fetch_array($rs)){
            $especie_nombre=$row['especie_nombre'];
          }

echo '<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
</head>
<style>
.Rotate-90
{
  
    transform: rotate(270deg);
	font-size:9px;
	border:1px solid black;
	margin-left:-40px;
	width:120px;
}
.vertical{
	text-align:center;
	vertical-align:middle;
	width:14px;
	height:auto;
	margin:0px;
	padding:0px;
	padding-left:3px;
	padding-right:3px;
	padding-top:10px;
	white-space:nowrap;
	-webkit-transform:rotate(-90deg);
	-moz-transform:rotate(-90deg);
	-o-transform:rotate(-90deg);
}

</style>
<body style="font-family: Calibri, sans-serif;">
<div width="100%" style="margin-top:15px;">
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:19%; float:left; text-align:center;">
				<img src="Foto_exportadora/'.$cliente.'.jpeg" height="97%" style="margin-top:1px;">
	</div>
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:55%; float:left; text-align:center;">';
	if($cliente=="RB"){
	    echo '<div style="font-size:8px;">RIOblanco SpA </div>';
	}else if($cliente=='LF'){
	    echo '<div style="font-size:8px;">LifeFriends </div>';
	}
				
			echo '<div style="font-size:8px;">GERENCIA CALIDAD Y DESARROLLO</div>
				<div style="font-weight: bold;"><br/>VERIFICACION DE PRODUCTO TERMINADO DE '.$especie_nombre.'</div>
	</div>
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:25%; float:left; font-size:10px;">';
	if($cliente=="RB"){
	    echo '
				<div>Código &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RB-ICAL-REG-008</div>
				<div>Versión &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;03 de 24-08-18</div>
				<div>Elabora &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jefa Calidad Sur</div>
				<div>Aprueba &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gte Calidad y Desarrollo</div>
				<div>Correlativo</div>
	    ';
	}else if($cliente=='LF'){
	    echo '<img src="Foto_exportadora/Inglobo.png" height="97%" style="margin-top:1px;">';
	}
	
	
echo '</div></div>
<div style="clear: both;">
	<div style="margin-top:3px; width:32%; float:left;">
			<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">
			<tr>
				<td>ZONA DE ORIGEN:</td>
				<td>'.$zona_nombre.'</td>
			</tr>
			<tr>
				<td>PACKING:</td>
				<td>'.$packing_id.' - '.$packing_nombre.'</td>
			</tr>
			<tr>
				<td>PRODUCTOR</td>
				<td>'.$productor_id.' - '.$productor_nombre.'</td>
			</tr>
			<tr>
				<td>VARIEDAD</td>
				<td>'.$variedad_nombre.'</td>
			</tr>
			</table>
	</div>
	<div style="margin-top:3px; width:33%; float:left; margin-left:4px;">
			<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">
			<tr>
				<td>Nº ORDEN PROCESO:</td>
				<td>'.$n_proceso.'</td>
			</tr>
			<tr>
				<td>EMBALAJE</td>
				<td>'.$embalaje_cod.'</td>
			</tr>
			<tr>
				<td>FECHA EMBALAJE:</td>
				<td>'.$pi_fecha_inspeccion.'</td>
			</tr>
			<tr>
				<td>RESULTADO LOTE:</td>
				<td>'.$resultado_lote.'</td>
			</tr>
			
			</table>	
	</div>
	<div style="margin-top:3px; width:33%; float:left; margin-left:4px; margin-bottom:3px;">
			<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">
			
			
			<tr>
				<td>INSPECTOR</td>
				<td>'.$nombre_inspector.'</td>
			</tr>
			<tr>
				<td>EXPORTADOR:</td>
				<td>'.$exportador_nombre8.'</td>
			</tr>
			</table>
	</div>
</div>

<table border="1" style="border-collapse: collapse; margin-top:80px;">
<tr align="center" style="font-size:8px;">';
$rscajas = mysql_query("SELECT COUNT(*) as cont_parametro, cal_planilla_defectos.id_parametro, cal_parametros.nombre_parametro FROM cal_planilla_defectos INNER JOIN cal_parametros ON cal_parametros.id_parametro=cal_planilla_defectos.id_parametro WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' GROUP BY cal_planilla_defectos.id_parametro ORDER BY cal_planilla_defectos.orden_planilla ASC");

while($rowcajas = mysql_fetch_array($rscajas)){
	$cont_cajas=$rowcajas['cont_parametro'];
	if($rowcajas['nombre_parametro']=="RESOLUCION"){
		$cont_cajas=$cont_cajas+4;
	}
	echo '<th colspan="'.$cont_cajas.'">'.$rowcajas['nombre_parametro'].'</th>';
}

	

echo '</tr>
<tr align="left" valign="bottom" style="font-size:8px; height:150px;">';
$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' ORDER BY cal_planilla_defectos.orden_planilla ASC");
echo '<th><div class="vertical">NUM</div></th>';
while($rowcajas = mysql_fetch_array($rscajas)){
	$id_defecto=$rowcajas['id_defecto'];
	$nombre_defecto=$rowcajas['nombre_defecto'];
	

		echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
	
}

echo '<th><div class="vertical">TOLERANCIA 1(A/O)</div></th>';
echo '<th><div class="vertical">TOLERANCIA 2(A/O)</div></th>';
echo '<th><div class="vertical">RESULTADO</div></th>';
echo '
</tr>';
$observaciones="";
$where_cajas="";
$i=0;
$rscajas2 = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_cajas ON cal_cajas.pi_folio=cal_planilla_inspeccion.pi_folio WHERE cal_planilla_inspeccion.pi_especie_id='$pi_especie_id' AND cal_planilla_inspeccion.tipo_planilla='LOTE' AND cal_cajas.mostrar_caja='' AND cal_cajas.primera_caja_lote='".$primera_caja_lote."' ORDER BY cal_planilla_inspeccion.pi_fecha_inspeccion ASC");
	while($rowcajas2 = mysql_fetch_array($rscajas2)){
		$observaciones.=$rowcajas2['observacion']." - ";
		$tolerancia1=$rowcajas2['tolerancia1'];
		$tolerancia2=$rowcajas2['tolerancia2'];
		$resultado_caja=$rowcajas2['resultado_caja'];
		$resolucion_lote=$rowcajas2['resolucion_lote'];
		if($i==0){
			$where_cajas.="(caja_id='".$rowcajas2['caja_id']."'";
		}else{
			$where_cajas.=" OR caja_id='".$rowcajas2['caja_id']."'";
		}
		
		$i++;
		echo '<tr align="center" valign="bottom" style="font-size:10px;"">';

		echo '<td>'.$rowcajas2['num'].'</td>';
		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];
			if($rowcajas['tipo_medicion']=="NPROCESO"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_proceso'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="CALIBRE"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					$calibre_id=$rowcajas3['calibre_id'];
					$rscajas4 = mysql_query("SELECT * FROM cal_calibre WHERE cal_calibre.calibre_id='".$rowcajas3['calibre_id']."'");
					if($rowcajas4 = mysql_fetch_array($rscajas4)){
						echo '<td>'.$rowcajas4['calibre_nombre'].'</td>';
					}
					
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NFRUTOS"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['nfrutos'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="CANT CAJAS"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['cant_cajas'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CALIDAD"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_cal'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CONDICION"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_cond'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PESO BAYA"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['baya_promedio'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PORCENTAJE" || $rowcajas['tipo_medicion']=="OTROS CONDICION" || $rowcajas['tipo_medicion']=="OTROS CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CONDICION" || $rowcajas['tipo_medicion']=="SUMA2 CALIDAD" || $rowcajas['tipo_medicion']=="SUMA3 CONDICION" || $rowcajas['tipo_medicion']=="SUMA4 CONDICION" || $rowcajas['tipo_medicion']=="SUMA TOTAL" || $rowcajas['tipo_medicion']=="PESO NETO"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					if($rowcajas3['cumple']=="VERDE"){
						echo '<td>'.$rowcajas3['valor_defecto'].'</td>';
					}else if($rowcajas3['cumple']=="AMARILLO"){
						echo '<td style="color: #FBFF00; background-color:#6E6E6E;">'.$rowcajas3['valor_defecto'].'</td>';
					}else if($rowcajas3['cumple']=="ROJO"){
						echo '<td style="color: #FF0000;">'.$rowcajas3['valor_defecto'].'</td>';
					}else{
					    echo '<td>'.$rowcajas3['valor_defecto'].'</td>';
					}
					
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NUMERICO"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					if($rowcajas3['cumple']=="VERDE"){
						echo '<td>'.$rowcajas3['valor_real'].'</td>';
					}else if($rowcajas3['cumple']=="AMARILLO"){
						echo '<td style="color: #FBFF00; background-color:#6E6E6E;">'.$rowcajas3['valor_real'].'</td>';
					}else if($rowcajas3['cumple']=="ROJO"){
						echo '<td style="color: #FF0000;">'.$rowcajas3['valor_real'].'</td>';
					}else{
					    echo '<td>'.$rowcajas3['valor_real'].'</td>';
					}
					
				}else{
					echo '<td></td>';
				}
			}else{
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['valor_defecto'].'</td>';
				}else{
					echo '<td></td>';
				}
			}
			
			
		}

		echo '<td>'.$tolerancia1.'</td>';
			echo '<td>'.$tolerancia2.'</td>';
		if($resultado_caja=="A"){
			echo '<td>'.$resultado_caja.'</td>';
		}else if($resultado_caja=="OA"){
			echo '<td style="color: #FF8633;">'.$resultado_caja.'</td>';
		}else if($resultado_caja=="N"){
			echo '<td style="color: #FF8633;">'.$resultado_caja.'</td>';
		}else if($resultado_caja=="R"){
			echo '<td style="color: #FF0000;">'.$resultado_caja.'</td>';
		}
			
		echo '</tr>';
	}

	$where_cajas.=")";
	echo '<tr align="center" valign="bottom" style="font-size:10px;"">';

		echo '<td>X</td>';
		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];

			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='TODAS' AND cal_norma_detalle.clasificacion_id='TODAS' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}
			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='$calibre_id' AND cal_norma_detalle.variedad_id='TODAS' AND cal_norma_detalle.clasificacion_id='TODAS' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}
			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='TODAS' AND cal_norma_detalle.clasificacion_id='$clasificacion_id' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}
			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='$variedad_id' AND cal_norma_detalle.clasificacion_id='TODAS' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}

			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='$variedad_id' AND cal_norma_detalle.clasificacion_id='$clasificacion_id' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}

				$norma_valor1_1=$norma_valor1;

			if($rowcajas['tipo_medicion']=="NPROCESO"){
				
					echo '<td></td>';
				
			}else if($rowcajas['tipo_medicion']=="CALIBRE"){
					echo '<td></td>';
			}else if($rowcajas['tipo_medicion']=="NFRUTOS"){
					echo '<td></td>';
			}else if($rowcajas['tipo_medicion']=="CANT CAJAS"){
					$rscajas3 = mysql_query("SELECT SUM(cant_cajas) as cant_cajas FROM cal_cajas WHERE $where_cajas");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['cant_cajas'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CALIDAD"){
					$rscajas3 = mysql_query("SELECT SUM(n_cal) as n_cal FROM cal_cajas WHERE $where_cajas");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.round( $rowcajas3['n_cal']/$i, 1, PHP_ROUND_HALF_UP).'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CONDICION"){
					$rscajas3 = mysql_query("SELECT SUM(n_cond) as n_cond FROM cal_cajas WHERE $where_cajas");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.round( $rowcajas3['n_cond']/$i, 1, PHP_ROUND_HALF_UP).'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PORCENTAJE" || $rowcajas['tipo_medicion']=="NUMERICO" || $rowcajas['tipo_medicion']=="BRIX" || $rowcajas['tipo_medicion']=="OTROS CONDICION" || $rowcajas['tipo_medicion']=="OTROS CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CONDICION" || $rowcajas['tipo_medicion']=="SUMA2 CALIDAD" || $rowcajas['tipo_medicion']=="SUMA3 CONDICION" || $rowcajas['tipo_medicion']=="SUMA4 CONDICION" || $rowcajas['tipo_medicion']=="SUMA TOTAL"){
				$rscajas3 = mysql_query("SELECT SUM(valor_defecto) as valor_defecto FROM cal_cajas_det WHERE $where_cajas AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					$prom_pallet=round( $rowcajas3['valor_defecto']/$i, 1);
						if($prom_pallet>=$norma_valor1 && $prom_pallet<=$norma_valor2){
							echo '<td>'.$prom_pallet.'</td>';
						}else if($prom_pallet>$norma_valor2 && $prom_pallet<=$norma_valor3){
							echo '<td style="color: #FBFF00; background-color:#6E6E6E;">'.$prom_pallet.'</td>';
						}else if($prom_pallet<$norma_valor1 || $prom_pallet>$norma_valor3){
							echo '<td style="color: #FF0000;">'.$prom_pallet.'</td>';
						}
					
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PESO NETO"){
				$rscajas3 = mysql_query("SELECT SUM(valor_defecto) as valor_defecto FROM cal_cajas_det WHERE $where_cajas AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					$prom_pallet=round( $rowcajas3['valor_defecto']/$i, 3);
						if($prom_pallet>=$peso_neto_min && $prom_pallet<=$peso_neto_medio){
							echo '<td>'.$prom_pallet.'</td>';
						}else if($prom_pallet>$peso_neto_medio && $prom_pallet<=$peso_neto_max){
							echo '<td style="color: #FBFF00; background-color:#6E6E6E;">'.$prom_pallet.'</td>';
						}else if($prom_pallet<$peso_neto_min || $prom_pallet>$peso_neto_max){
							echo '<td style="color: #FF0000;">'.$prom_pallet.'</td>';
						}
					
				}else{
					echo '<td></td>';
				}
			}else{
					echo '<td></td>';
			}
			
			
		}
		if($resultado_lote=='R'){
			$tolerancia1='O';
			$tolerancia2='O';
		}else if($resultado_lote=='A'){
			$tolerancia1='A';
			$tolerancia2='A';
		}else if($resultado_lote=='N'){
			$tolerancia1='O';
			$tolerancia2='O';
		}else if($resultado_lote=='OA'){
			$tolerancia1='O';
			$tolerancia2='A';
		}
		echo '<td>'.$tolerancia1.'</td>';
			echo '<td>'.$tolerancia2.'</td>';
		if($resultado_lote=="A"){
			echo '<td>'.$resultado_lote.'</td>';
		}else if($resultado_lote=="OA"){
			echo '<td style="color: #FF8633;">'.$resultado_lote.'</td>';
		}else if($resultado_lote=="N"){
			echo '<td style="color: #FF8633;">'.$resultado_lote.'</td>';
		}else if($resultado_lote=="R"){
			echo '<td style="color: #FF0000;">'.$resultado_lote.'</td>';
		}
			
		echo '</tr>';


echo '</table>
<div width="100%" style="margin-top:15px;">
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:70%; float:left; text-align:left;">
			Observaciones: '.$observaciones.'	
	</div>
	<div style="border:1px solid black; margin-top:-10px; height:70px; width:29%; float:left; text-align:center;">
			<br/>RESOLUCION LOTE: '.$resolucion_lote.'
				
	</div>
	</div>';
$diventre2=0;
		$sig_pagina=0;
echo '<hr style="page-break-after: always; border: 0; margin: 0; padding: 0;"></hr>';
		

	$rs = mysql_query("SELECT * FROM cal_cajas where primera_caja_lote='$primera_caja_lote'");
echo '<div style="border:0px solid black;">';
           while($row = mysql_fetch_array($rs)){
           		$rs2 = mysql_query("SELECT * FROM cal_cajas_fotos WHERE caja_id='".$row['caja_id']."' order by num_foto_caja ASC");
				while($row2 = mysql_fetch_array($rs2)){
					$diventre2++;
					$sig_pagina++;
					$nombre_foto=$row2['nombre_foto'];
					$link="Inspeccion/".$row2['link']."/".$nombre_foto;
					echo '<div style="float:left; border:1px solid #FFFF; width:23%; height:250px;" align="center">
						';
						
							echo '<div>'.$row2['defecto1_foto'].'</div><img src="'.$link.'.jpg" height="86%">';
						
						
					echo '</div>';
					if($diventre2==4){
						$diventre2=0;
						if($sig_pagina==3){
							echo '<hr style="page-break-after: always; border: 0; margin: 0; padding: 0;"></hr>';
							$sig_pagina=0;
						}else{
							echo '<div style="clear:left;">

							</div>';
						}
						
					}
				}
           }
		
echo '</div></body>
</html>';

?>